funcwrap.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_MOF_CV

## Functions

template<typename _Fn> requires is_function_v<_Fn>
| std::function_ref (_Fn *) -> function_ref< _Fn >
template<auto __fn, typename _Fn> requires is_function_v<remove_pointer_t<_Fn>>
| std::function_ref (constant_wrapper< __fn, _Fn >) -> function_ref< remove_pointer_t< _Fn > >
template<auto __fn, typename _Fn, typename _Tp, typename _SignaturePtr = decltype(__polyfunc::__deduce_funcref<_Fn, _Tp&>())> requires (!is_void_v<_SignaturePtr>)
| std::function_ref (constant_wrapper< __fn, _Fn >, _Tp &&) -> function_ref< remove_pointer_t< _SignaturePtr > >

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Definition in file funcwrap.h.

## Macro Definition Documentation

## _GLIBCXX_MOF_CV

#define _GLIBCXX_MOF_CV

Definition at line 627 of file funcwrap.h.